//重写插入链接方法
let Link =Quill.import("formats/link");
class FileBlot extends Link {
    static create(value){
        let node = undefined;
        if(value && !value.href) {
            node = super.create(value)
        } else{
            node = super.create(value.href)
            node.innerText = value.innerText
            node.download = value.innerText
        }
        return node
    }
}
FileBlot.blotName = 'link'
FileBlot.tagName = 'A'
Quill.register(FileBlot)